Get asset (GetAsset)
curl --request POST \
--url https://api.gravitex.ai/api/v3/seedance \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"Id": "<string>",
"ProjectName": "<string>"
}
'import requests
url = "https://api.gravitex.ai/api/v3/seedance"
payload = {
"Id": "<string>",
"ProjectName": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({Id: '<string>', ProjectName: '<string>'})
};
fetch('https://api.gravitex.ai/api/v3/seedance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Seedance 2.0(/generations/tasks)
Get asset (GetAsset)
GetAsset â POST /api/v3/seedance
POST
/
api
/
v3
/
seedance
Get asset (GetAsset)
Introduction
Get a single asset by ID. WhenStatus is Failed, Result also includes Error: {Code, Message}.
Authentication
string
required
Bearer Token, e.g.
Bearer sk-your_token_keyRequest parameters
string
required
Asset ID
string
default:"default"
Project name
Request example
curl -X POST "https://api.gravitex.ai/api/v3/seedance?Action=GetAsset&Version=2024-01-01" \
-H "Authorization: Bearer sk-your_token_key" \
-H "Content-Type: application/json" \
-d '{"Id": "asset-20260710-xyz"}'
Response example
{
"ResponseMetadata": {"Action": "GetAsset"},
"Result": {
"Id": "asset-20260710-xyz",
"Name": "portrait.jpg",
"URL": "https://...",
"AssetType": "Image",
"GroupId": "group-20260710-abcde",
"Status": "Active",
"Moderation": {"Strategy": "Default"},
"CreateTime": "2026-07-10T00:00:00Z",
"UpdateTime": "2026-07-10T00:00:00Z",
"ProjectName": "default"
}
}
âI
